﻿;### Achtung: Bitte zuerst "CreateDBData.pb" im selben Ordner ausführen ###

XIncludeFile "..\Include\PBData_Include.pbi"

Import "Test.res" : EndImport

Enumeration 1
  #PBData_PureBasicLogo
  #PBData_PureBasic
EndEnumeration

ImgData = GetPBData(#PBData_PureBasicLogo, "password")

If ImgData > 0
  Image = CatchImage(#PB_Any, ImgData)
  FreeMemory(ImgData)
Else
  Select ImgData
    Case #PBDATA_Error_Unknown
      Debug "Unbekannter Fehler, Resource nicht gefunden oder zu wenig Speicher?"
    Case #PBDATA_Error_Encryption
      Debug "Key-Fehler, überprüfen Sie, ob das richtige Passwort eingegeben wurde!"
    Case #PBDATA_Error_CRC32
      Debug "CRC32-Fehler, korrupte Datei"
  EndSelect
  End
EndIf

If OpenWindow(0,0,0,381,68,"PBData Test",#PB_Window_SystemMenu|#PB_Window_ScreenCentered)
  If CreateGadgetList(WindowID(0))
    ImageGadget(1,0,0,381,68,ImageID(Image))
  EndIf
  Repeat
  Until WaitWindowEvent()=#PB_Event_CloseWindow
EndIf

Debug SavePBData("test.bmp", #PBData_PureBasic, "password")
